Subject: Re: bug#35814: 27.0.50; Broken font display

From: Juri Linkov <[email-masked]>
Date: Tue, 21 May 2019 22:41:29 +0300

>> Some yesterday's commit in master broke the display of the text that uses
>> the font "-misc-fixed-medium-r-normal--10-*-*-*-c-60-iso10646-*"
>> in GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
>> Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
>> System Description: Linux Mint 19
>>
>> Screenshot:
>
> It's probably due to my a4fe9c70af7 commit, sorry.

Yes, after reverting a4fe9c70af7 locally,
everything is fine as before.

> I tested with all X font backends -- what's the value of
> (frame-parameter nil 'font-backend) normally?

(frame-parameter nil 'font-backend)
=> (xft x)

> And is it only that font, or other fonts as well?

I don't know about other fonts.  At least, I see that
the default font was fine.  And as you can see on the
previous screenshot of the etc/TODO file, parts of the
buffer that display text with the italic face, are
not affected by this problem.